# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
    config.vm.box = "ubuntu/focal64"

    config.vm.network "forwarded_port", guest: 80, host: 8080
    config.vm.network "forwarded_port", guest: 81, host: 8081

    config.vm.provider "virtualbox" do |vb|
        vb.memory = 2048
    end

    config.vm.provision "ansible_local" do |ansible|
        ansible.verbose = "vv"
        ansible.playbook = "ansible_scripts/provisioning/provision.yml"
    end
end
